Subject: RE: Rename Optional-Parts

From: "Martin Stecher" <[email-masked]>
Date: Fri, 24 Oct 2003 10:11:33 +0200

Done. Optional-Parts is now Aux-parts.
(The online example is already up-to-date).

I also defined what to be done if the rules for Aux-Parts parameter
handling are violated.
I think that adding illegal parts to an Aux-Parts parameter in a
negotiation offer does not endanger interoperability if the peer
ignores these parameters. But requesting auxiliary parts that were
not offered will lead to problems in message exchange so that a
transaction must be terminated in this case:

   An OPES processor MUST NOT include any message part which is not
   marked as auxiliary part in the list of original parts for the given
   profile. The callout server MUST ignore non-auxiliary parts listed in
   the Aux-Parts parameter. The callout server MUST NOT include	any
   message part that was not explicitly listed in the negotiation offer.
   In case of a violation of this rule the OPES processor MUST terminate
   the transaction.

Regards
Martin

> -----Original Message-----
> From: Alex Rousskov [mailto:[email-masked]]
> Sent: Thursday, October 23, 2003 11:14 PM
> To: Martin Stecher
> Cc: OPES WG (E-Mail)
> Subject: Re: Rename Optional-Parts
> 
> 
> On Thu, 23 Oct 2003, Martin Stecher wrote:
> 
> >
> > Re: Second comment in section 2.2.3 Optional Parts of HTTP 
> Adaptation:
> >
> > > (XXX: we should probably rename Optional to something 
> like Auxiliary
> > > or FYI because it is awkward/wrong that optional parts 
> become mandatory/required).
> >
> > I agree, it is awkward that optional parts become 
> mandantory after negotiation.
> > "Auxiliary parts" sounds good to me.
> >
> > Shall we rename the named parameter "Optional-Parts" to "Aux-Parts"?
> 
> Please do unless you get any objections or better ideas.
> 
> Alex.
> 
>